Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.util
Class XmlRpcDateTimeFormat

    java.lang.Object
      java.text.Format
          org.apache.xmlrpc.util.XmlRpcDateTimeFormat

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  XmlRpcDateTimeDateFormat

    public abstract class XmlRpcDateTimeFormat

extends java.text.Format

An instance of `Format`, which may be used to parse and format `dateTime` values, as specified by the XML-RPC specification. The specification doesn't precisely describe the format, it only gives an example:

       19980717T14:08:55

This class accepts and creates instances of `Calendar`.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.text.Format
`java.text.Format.Field`

Constructor Summary
`XmlRpcDateTimeFormat()`

Method Summary
`java.lang.StringBuffer` | `format(java.lang.Object pCalendar, java.lang.StringBuffer pBuffer, java.text.FieldPosition pPos)`
`protected abstract java.util.TimeZone` | `getTimeZone()` Returns the time zone, which is used to interpret date/time values.
`java.lang.Object` | `parseObject(java.lang.String pString, java.text.ParsePosition pParsePosition)`

Methods inherited from class java.text.Format
`clone, format, formatToCharacterIterator, parseObject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlRpcDateTimeFormat

    public XmlRpcDateTimeFormat()

Method Detail

### getTimeZone

    protected abstract java.util.TimeZone getTimeZone()

  Returns the time zone, which is used to interpret date/time values.

### parseObject

    public java.lang.Object parseObject(java.lang.String pString,
                                        java.text.ParsePosition pParsePosition)

  Specified by:
    `parseObject` in class `java.text.Format`

### format

    public java.lang.StringBuffer format(java.lang.Object pCalendar,
                                         java.lang.StringBuffer pBuffer,
                                         java.text.FieldPosition pPos)

  Specified by:
    `format` in class `java.text.Format`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.